Search for entity

  1. Search 7.x for entity
  2. Search 9.5.x for entity
  3. Search 8.9.x for entity
  4. Search 10.3.x for entity
  5. Search 11.x for entity
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Entity class core/modules/views/src/Plugin/views/argument_validator/Entity.php Defines an argument validator plugin for each entity type.
Entity class core/modules/views/src/Plugin/views/area/Entity.php Provides an area handler which renders an entity in a certain view mode.
Entity class core/modules/migrate/src/Plugin/migrate/destination/Entity.php Provides a generic destination to import entities.
Entity class core/tests/Drupal/Tests/Component/Annotation/Doctrine/Ticket/DCOM58Test.php
Entity class core/tests/Drupal/Tests/Component/Annotation/Doctrine/Ticket/DCOM58Entity.php This class is a near-copy of tests/Doctrine/Tests/Common/Annotations/Ticket/DCOM58Entity.php, which is part of the Doctrine project: <http://www.doctrine-project.org>. It was copied from version 1.2.7.

All search results

Title Object type File name Summary
EntityChangesDetectionTrait trait core/lib/Drupal/Core/Entity/EntityChangesDetectionTrait.php Provides helper methods to detect changes in an entity object.
EntityChangesDetectionTrait.php file core/lib/Drupal/Core/Entity/EntityChangesDetectionTrait.php
EntityChangesDetectionTrait::getFieldsToSkipFromTranslationChangesCheck function core/lib/Drupal/Core/Entity/EntityChangesDetectionTrait.php Returns an array of field names to skip when checking for changes.
EntityClone class core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php @internal
This API is experimental.
EntityClone.php file core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityClone::apply function core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityClone::create function core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityClone::__construct function core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityCloneConfigActionTest class core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests Entity Clone Config Action.
EntityCloneConfigActionTest.php file core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php
EntityCloneConfigActionTest::$modules property core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php
EntityCloneConfigActionTest::setUp function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php
EntityCloneConfigActionTest::testCloneWithWildcards function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests wildcard support, which allows positional tokens in the clone&#039;s ID.
EntityCloneConfigActionTest::testErrorIfOriginalDoesNotExist function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests error if original entity does not exist.
EntityCloneConfigActionTest::testFailIfEntityExists function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests that the action can be configured to fail if the clone exists.
EntityCloneConfigActionTest::testNoErrorWithExistingEntity function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests no error is thrown when an entity with the same ID already exists.
EntityCloneConfigActionTest::testSuccessfulClone function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests successful clone.
EntityComment class core/modules/comment/src/Plugin/migrate/destination/EntityComment.php Comment entity destination.
EntityComment.php file core/modules/comment/src/Plugin/migrate/destination/EntityComment.php
EntityComment::$state property core/modules/comment/src/Plugin/migrate/destination/EntityComment.php The state storage object.
EntityComment::$stubCommentedEntityIds property core/modules/comment/src/Plugin/migrate/destination/EntityComment.php An array of entity IDs for the &#039;commented entity&#039; keyed by entity type.
EntityComment::create function core/modules/comment/src/Plugin/migrate/destination/EntityComment.php
EntityComment::processStubRow function core/modules/comment/src/Plugin/migrate/destination/EntityComment.php
EntityComment::__construct function core/modules/comment/src/Plugin/migrate/destination/EntityComment.php Builds a comment entity destination.
EntityCommentType class core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php Comment type destination.
EntityCommentType.php file core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php
EntityCommentType::import function core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php
EntityComputedFieldTest class core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php Tests that entities with computed fields work correctly.
EntityComputedFieldTest.php file core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::$defaultTheme property core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::$modules property core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::$state property core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php The state service.
EntityComputedFieldTest::setUp function core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::testFormatterComputedFieldCacheableMetadata function core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php Tests that formatters bubble the cacheable metadata of computed fields.
EntityConcurrentRenderTest class core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php Tests that the same entity can be rendered multiple times on a page.
EntityConcurrentRenderTest.php file core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::$modules property core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::setUp function core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::testSameEntityInMultipleBlocks function core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php Tests that two blocks rendering the same entity both produce output.
EntityCondition class core/modules/jsonapi/src/Query/EntityCondition.php A condition object for the EntityQuery.
EntityCondition.php file core/modules/jsonapi/src/Query/EntityCondition.php
EntityCondition::$allowedOperators property core/modules/jsonapi/src/Query/EntityCondition.php The allowed condition operators.
EntityCondition::$field property core/modules/jsonapi/src/Query/EntityCondition.php The field to be evaluated.
EntityCondition::$operator property core/modules/jsonapi/src/Query/EntityCondition.php The condition operator.
EntityCondition::$value property core/modules/jsonapi/src/Query/EntityCondition.php The value against which the field should be evaluated.
EntityCondition::createFromQueryParameter function core/modules/jsonapi/src/Query/EntityCondition.php Creates an EntityCondition object from a query parameter.
EntityCondition::field function core/modules/jsonapi/src/Query/EntityCondition.php The field to be evaluated.
EntityCondition::operator function core/modules/jsonapi/src/Query/EntityCondition.php The comparison operator to use for the evaluation.
EntityCondition::OPERATOR_KEY constant core/modules/jsonapi/src/Query/EntityCondition.php The operator key in the condition: filter[lorem][condition][&lt;operator&gt;].

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.